org.apache.hc.client5.testing.async

## Class AbstractSimpleServerExchangeHandler

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler<SimpleHttpRequest>
  - - org.apache.hc.client5.testing.async.AbstractSimpleServerExchangeHandler

- All Implemented Interfaces:
    org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncDataExchangeHandler, org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncServerExchangeHandler, org.apache.hc.core5.http.nio.ResourceHolder

      public abstract class AbstractSimpleServerExchangeHandler
      extends org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler<SimpleHttpRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSimpleServerExchangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handle(SimpleHttpRequest request, org.apache.hc.core5.http.nio.AsyncServerRequestHandler.ResponseTrigger responseTrigger, org.apache.hc.core5.http.protocol.HttpContext context)`
    `protected abstract SimpleHttpResponse` | `handle(SimpleHttpRequest request, org.apache.hc.core5.http.protocol.HttpCoreContext context)`
    `protected org.apache.hc.core5.http.nio.AsyncRequestConsumer<SimpleHttpRequest>` | `supplyConsumer(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entityDetails, org.apache.hc.core5.http.protocol.HttpContext context)`

    - ### Methods inherited from class org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler

      `available, consume, failed, handleRequest, produce, releaseResources, streamEnd, updateCapacity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSimpleServerExchangeHandler

          public AbstractSimpleServerExchangeHandler()

  - ### Method Detail

    - #### handle

          protected abstract SimpleHttpResponse handle(SimpleHttpRequest request,
                                                       org.apache.hc.core5.http.protocol.HttpCoreContext context)
                                                throws org.apache.hc.core5.http.HttpException

      Throws:
        `org.apache.hc.core5.http.HttpException`

    - #### supplyConsumer

          protected final org.apache.hc.core5.http.nio.AsyncRequestConsumer<SimpleHttpRequest> supplyConsumer(org.apache.hc.core5.http.HttpRequest request,
                                                                                                              org.apache.hc.core5.http.EntityDetails entityDetails,
                                                                                                              org.apache.hc.core5.http.protocol.HttpContext context)
                                                                                                       throws org.apache.hc.core5.http.HttpException

      Specified by:
        `supplyConsumer` in class `org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler<SimpleHttpRequest>`
      Throws:
        `org.apache.hc.core5.http.HttpException`

    - #### handle

          protected final void handle(SimpleHttpRequest request,
                                      org.apache.hc.core5.http.nio.AsyncServerRequestHandler.ResponseTrigger responseTrigger,
                                      org.apache.hc.core5.http.protocol.HttpContext context)
                               throws org.apache.hc.core5.http.HttpException,
                                      IOException

      Specified by:
        `handle` in class `org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler<SimpleHttpRequest>`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.